// Fatespirit //

EXTEND_TOP FATESP 6
  IF ~!Dead("SK#Neht")
     !InMyArea("SK#Neht")
     Global("SK#NehtSummoned","GLOBAL",0)~
  THEN
    REPLY ~Bring me Sir Neh'taniel, the Judicial Knight.~
      DO ~CreateVisualEffect("SPPORTAL",[1999.1218])
         Wait(2)
         CreateCreature("SK#Neh25",[1999.1218],0)
         SetGlobal("SK#NehtSummoned","GLOBAL",1)~
         GOTO 8
END

BEGIN SK#NE25J
BEGIN SK#Neh25

IF ~Global("SK#NehtSummoned","GLOBAL",1)~ THEN Neht25_0
SAY ~<CHARNAME>! Thou hast no idea how glad I am to see thee...~ [SK#Neh1]
IF ~~ THEN DO ~SetGlobal("SK#NehtSummoned","GLOBAL",2)~ GOTO Neht25_1
END

IF ~~ Neht25_1
SAY ~I do want to continue traveling with thee, there is yet much I must make up for.~
++ ~You can still travel with me, if you want.~ DO ~SetGlobal("SK#NehtJoined","LOCALS",1) JoinParty()~ EXIT
++ ~I've changed my mind, just don't go anywhere, alright?~ + Neht25_2
END

IF ~~ Neht25_2
SAY ~(He shrugs.)~
IF ~~ THEN DO ~MoveToPointNoInterrupt([1450.1405])~ EXIT
END

//Next time you talk to him

IF ~Global("SKNehtSummoned","GLOBAL",2)~ Neht25_3
SAY ~Hmm... was there anything thou needed?~
++ ~I was wondering if you would mind joining me.~ + b
++ ~No, I just came by to say hello.~ + k
END

IF ~~ THEN BEGIN b
SAY ~I would not mind. There is not much else for me to do...~
++ ~Then let's go.~ DO ~SetGlobal("SK#NehtJoined","LOCALS",1) JoinParty()~ EXIT
END

IF ~~ THEN BEGIN k
SAY ~That is... good. Hello to thee as well.~
IF ~~ THEN EXIT
END

///////////////
// SK#NE25P  //
///////////////

BEGIN SK#NE25P

IF ~Global("SK#Neht25Kicked","LOCALS",0) Global("SK#NehtJoined","LOCALS",1)~ Neht25P_0
SAY ~It hath been...interesting while traveling with thee. If at a later time thou hast need of me, I shall be at the Pocket Plane.~ 
++ ~Please rejoin the party.~ DO ~JoinParty()~ EXIT
IF ~~ GOTO Neht25P_1
END

IF ~~ Neht25P_1
SAY ~Fare thee well, <CHARNAME>.~
IF ~AreaCheck("AR4500")~ THEN DO ~SetGlobal("SK#Neht25Kicked","LOCALS",1) SetGlobal("SK#NehtJoined","LOCALS",0)
MoveToPointNoInterrupt([1450.1405]) Face(0)~ EXIT
IF ~!AreaCheck("AR4500")~ THEN DO ~SetGlobal("SK#Neht25Kicked","LOCALS",1) SetGlobal("SK#NehtJoined","LOCALS",0)
CreateVisualEffectObject("spdimndr",Myself) Wait(2) MoveBetweenAreas("AR4500",[1450.1405],0)~ EXIT
END

// If you want him to rejoin after he's been kicked out:

IF ~AreaCheck("AR4500")
Global("SK#Neht25Kicked","LOCALS",1) Global("SK#NehtJoined","LOCALS",0)~ Neht25P_2
SAY ~Shall I rejoin thee?~
++ ~Please rejoin the party.~ DO ~SetGlobal("SK#NehtJoined","LOCALS",1)
SetGlobal("SK#Neht25Kicked","LOCALS",0) JoinParty()~ EXIT
++ ~No, I just came by to say hello.~ EXIT
END

I_C_T2 SARPEL01 1 Vamp
== SK#NE25J IF ~InParty("SK#Neht")~ THEN ~Vampires? Mayhap they be part of Bodhi's coven.~
END

I_C_T SARPEL01 7 Vamp
== SK#NE25J IF ~InParty("SK#Neht")~ THEN ~Vampires? Mayhap they be part of Bodhi's coven.~
END
